#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.1.1
id: test-framework-0.8.1.1-9dzH6a6E7F67ZphKtd5my3
key: test-framework-0.8.1.1-9dzH6a6E7F67ZphKtd5my3
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: https://batterseapower.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
indefinite: False
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
abi: 29870a7c61913b6f4422a913b5d419d7
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/test-framework-0.8.1.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/test-framework-0.8.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/test-framework-0.8.1.1
hs-libraries: HStest-framework-0.8.1.1-9dzH6a6E7F67ZphKtd5my3
depends:
    ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU
    ansi-wl-pprint-0.6.8.1-80vSxm39oopFZHdKk9kEEk base-4.10.0.0
    containers-0.5.10.2 hostname-1.0-ITdZPWe9XL7105h6B80pVP
    old-locale-1.0.0.7-1sqf81TERjR1yVX7sI2OtM
    random-1.1-DtLcP2Z2iOOC0RwcSmXjBK
    regex-posix-0.95.2-HVttGk95ni2HoNbiB2TZaS time-1.8.0.2
    xml-1.3.14-5OPJvPT6yGP6QU1NbG18WH
abi-depends: ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU=8d42c7012ae6bb1dfca5905fe8a25762
             ansi-wl-pprint-0.6.8.1-80vSxm39oopFZHdKk9kEEk=dd8d552288e499e2e21b7896e82609e8
             base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             containers-0.5.10.2=e51b78cedb073051e10b1c1314421145
             hostname-1.0-ITdZPWe9XL7105h6B80pVP=729452e5897009ef3942b1becb0fb5f7
             old-locale-1.0.0.7-1sqf81TERjR1yVX7sI2OtM=bb3d8fbe7de4d3cc9ed854226de736b7
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=e54cb8ee20631772dc74b0ec551441ab
             regex-posix-0.95.2-HVttGk95ni2HoNbiB2TZaS=1266e1972ca7ae1da6cd89afc2dd44ac
             time-1.8.0.2=96b65c0ad01f633ba36ea5ef13a79f41
             xml-1.3.14-5OPJvPT6yGP6QU1NbG18WH=30b01491b45ac2b0771399f94ed98fcc
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

